﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace TriTech.VisiCAD.App.WPF
{
    public abstract class Notifier : INotifyPropertyChanged
    {
    
        public event PropertyChangedEventHandler PropertyChanged;

        public bool IsDirty { get; set; }

        protected virtual void OnPropertyChanged(string info)
        {
            IsDirty = true;
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
