﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Docking;

using TriTech.VisiCAD.App.WPF.Queue.ViewModel;

namespace TriTech.VisiCAD.App.WPF.Queue
{
    public partial class QueueWindow : Window 
    {
        public static PaneViewModel viewModel;

        public QueueWindow()
            : base()
        {
            InitializeComponent();
        }

        string layout;
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            using (MemoryStream stream = new MemoryStream())
            {
                radDockingMain.SaveLayout(stream);
                stream.Seek(0, SeekOrigin.Begin);
                StreamReader reader = new StreamReader(stream);
                layout = reader.ReadToEnd();


                File.WriteAllText(@"C:\Test.xml", layout);
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            layout = File.ReadAllText(@"C:\Test.xml");
            if (!String.IsNullOrWhiteSpace(layout))
            {
                using (Stream stream = new MemoryStream(Encoding.UTF8.GetBytes(layout)))
                {
                    stream.Seek(0, SeekOrigin.Begin);
                    radDockingMain.LoadLayout(stream);
                }
            }
        }

        private void radDockingMain_ElementSaving_1(object sender, LayoutSerializationEventArgs e)
        {
            PaneViewModel viewModel = (e.AffectedElement as RadPane).Header as PaneViewModel;
            string s = viewModel.ToXml(true);
            File.WriteAllText(@"C:\Test2.xml", s);
        }

        private void radDockingMain_ElementLoaded_1(object sender, LayoutSerializationEventArgs e)
        {
            QueueWindowViewModel queueWindowViewModel = this.Resources["QueueWindowViewModel"] as QueueWindowViewModel;

            string s = File.ReadAllText(@"C:\Test2.xml");
            PaneViewModel viewModel = PaneViewModel.FromXml(s);
            viewModel.QueueWindowViewModel = queueWindowViewModel;
            (e.AffectedElement as RadPane).Header = viewModel;
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            QueueWindowViewModel queueWindowViewModel = this.Resources["QueueWindowViewModel"] as QueueWindowViewModel;
            RadPane pane = radDockingMain.Panes.FirstOrDefault<RadPane>();
            queueWindowViewModel.AddPane(pane.PaneGroup);
        }
    }
}
