﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

using Telerik.Windows.Controls;

using TriTech.Common;
using TriTech.VisiCAD.App.WPF.Extension;

namespace TriTech.VisiCAD.App.WPF.Queue.ViewModel
{
    [Serializable]
    public class PaneViewModel : Notifier, IPaneGroupExtension 
    {
        private string m_headerText = string.Empty;
        public string HeaderText
        {
            get { return m_headerText; }
            set
            {
                if (m_headerText != value)
                {
                    m_headerText = value;
                    OnPropertyChanged("HeaderText");
                }
            }
        }

        [XmlIgnore]
        public QueueWindowViewModel QueueWindowViewModel { get; set; }

        [XmlIgnore]
        public RadPaneGroup PaneGroup { get; set; }

        public PaneViewModel()
        {
        }

        public PaneViewModel(QueueWindowViewModel queueWindowViewModel)
        {
            QueueWindowViewModel = queueWindowViewModel;
        }

        //public override string ToString()
        //{
        //    return HeaderText;
        //}


        public override string ToString()
        {
            return ToXml(false);
        }

        public string ToXml(bool indentedXml)
        {
            return XmlSerialize.ConvertClassToXMLString(this, typeof(PaneViewModel), indentedXml);
        }

        static public PaneViewModel FromXml(string xml)
        {
            return XmlSerialize.Deserialize<PaneViewModel>(xml);
        }
    }
}
