﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Telerik.Windows.Controls;

using TriTech.VisiCAD.App.WPF.Queue.View;

namespace TriTech.VisiCAD.App.WPF.Queue.ViewModel
{
    public class QueueWindowViewModel : Notifier
    {
        public ObservableCollection<RadPane> Panes { get; private set; }

        public QueueWindowViewModel()
        {
            if (LicenseManager.UsageMode != LicenseUsageMode.Designtime)
            {
                Panes = new ObservableCollection<RadPane>();
                AddPane(null);
            }
        }

        public void AddPane(RadPaneGroup paneGroup)
        {
            RadPane pane = new RadPane();
            PaneViewModel paneModel = null;

            IncidentView view = new IncidentView();
            pane.Content = view;

            paneModel = new PaneViewModel(this);
            paneModel.HeaderText = "New Incident Tab";
            paneModel.PaneGroup = paneGroup;
            pane.Title = paneModel;

            RadDocking.SetSerializationTag(pane, "New Incident Tab");

            pane.DataContext = paneModel;
            Panes.Add(pane);
        }
    }
}
